--- old/build/entire/entire.p5m	Tue Aug 16 19:26:52 2016
+++ new/build/entire/entire.p5m	Tue Aug 16 19:26:52 2016
@@ -265,8 +265,7 @@
 depend fmri=network/ipfilter@0.5.11,5.11-@PVER@ type=require
 depend fmri=network/iscsi/initiator@0.5.11,5.11-@PVER@ type=require
 depend fmri=network/iscsi/iser@0.5.11,5.11-@PVER@ type=require
-depend fmri=network/ssh/ssh-key@0.5.11,5.11-@PVER@ fmri=network/openssh type=require-any
-depend fmri=network/ssh@0.5.11,5.11-@PVER@ fmri=network/openssh type=require-any
+depend fmri=network/openssh type=require
 depend fmri=network/telnet@0.5.11,5.11-@PVER@ type=require
 depend fmri=package/pkg@0.5.11,5.11-@PVER@ type=require
 depend fmri=release/name@0.5.11,5.11-@PVER@ type=require
@@ -283,8 +282,7 @@
 depend fmri=service/network/network-clients@0.5.11,5.11-@PVER@ type=require
 depend fmri=service/network/ntp@4.2.8,5.11-@PVER@ type=require
 depend fmri=service/network/smtp/sendmail@8.14.4,5.11-@PVER@ type=group
-depend fmri=service/network/ssh@0.5.11,5.11-@PVER@ fmri=network/openssh-server type=require-any
-depend fmri=service/network/ssh-common@0.5.11,5.11-@PVER@ fmri=network/openssh-server type=require-any
+depend fmri=network/openssh-server type=require
 depend fmri=service/picl@0.5.11,5.11-@PVER@ type=require
 depend fmri=service/resource-pools/poold@0.5.11,5.11-@PVER@ type=require
 depend fmri=service/resource-pools@0.5.11,5.11-@PVER@ type=require
--- old/build/jeos/illumos-gate.p5m	Tue Aug 16 19:26:53 2016
+++ new/build/jeos/illumos-gate.p5m	Tue Aug 16 19:26:53 2016
@@ -291,9 +291,6 @@
 depend fmri=SUNWsra@0.5.11,5.11-0.130 type=incorporate
 depend fmri=SUNWsrh@0.5.11,5.11-0.130 type=incorporate
 depend fmri=SUNWsrpt@0.5.11,5.11-0.133 type=incorporate
-depend fmri=SUNWssh@0.5.11,5.11-0.133 type=incorporate
-depend fmri=SUNWsshcu@0.5.11,5.11-0.133 type=incorporate
-depend fmri=SUNWsshd@0.5.11,5.11-0.133 type=incorporate
 depend fmri=SUNWstmf@0.5.11,5.11-0.133 type=incorporate
 depend fmri=SUNWtavor@0.5.11,5.11-0.133 type=incorporate
 depend fmri=SUNWtcpd@7.6,5.11-0.133 type=incorporate
@@ -650,8 +647,6 @@
 depend fmri=network/iscsi/target@0.5.11,5.11-@PVER@ type=incorporate
 depend fmri=network/iscsi@0.5.11,5.11-0.134 type=incorporate
 depend fmri=network/netcat@0.5.11,5.11-@PVER@ type=incorporate
-depend fmri=network/ssh/ssh-key@0.5.11,5.11-@PVER@ type=incorporate
-depend fmri=network/ssh@0.5.11,5.11-@PVER@ type=incorporate
 depend fmri=network/telnet@0.5.11,5.11-@PVER@ type=incorporate
 depend fmri=package/svr4@0.5.11,5.11-@PVER@ type=incorporate
 depend fmri=print/lp/compatibility/sunos4@0.5.11,5.11-@PVER@ type=incorporate
@@ -680,8 +675,6 @@
 depend fmri=service/network/slp@0.5.11,5.11-@PVER@ type=incorporate
 depend fmri=service/network/smtp/sendmail@8.14.4,5.11-@PVER@ type=incorporate
 depend fmri=service/network/snmp/mibiisa@0.5.11,5.11-0.148 type=incorporate
-depend fmri=service/network/ssh@0.5.11,5.11-@PVER@ type=incorporate
-depend fmri=service/network/ssh-common@0.5.11,5.11-@PVER@ type=incorporate
 depend fmri=service/network/telnet@0.5.11,5.11-@PVER@ type=incorporate
 depend fmri=service/network/tftp@0.5.11,5.11-@PVER@ type=incorporate
 depend fmri=service/network/uucp@0.5.11,5.11-@PVER@ type=incorporate
--- /dev/null	Tue Aug 16 19:26:53 2016
+++ new/build/openssh/sunssh-common-obs.p5m	Tue Aug 16 19:26:53 2016
@@ -0,0 +1,5 @@
+set name=pkg.fmri value=service/network/ssh-common@0.5.11,5.11-@PVER@
+set name=pkg.renamed value=true
+set name=pkg.description value="SunSSH common (obsolete)"
+set name=pkg.summary value="SunSSH common (obsolete)"
+depend fmri=network/openssh-server type=require
--- /dev/null	Tue Aug 16 19:26:53 2016
+++ new/build/openssh/sunssh-key-obs.p5m	Tue Aug 16 19:26:53 2016
@@ -0,0 +1,5 @@
+set name=pkg.fmri value=network/ssh/ssh-key@0.5.11,5.11-@PVER@
+set name=pkg.renamed value=true
+set name=pkg.description value="SunSSH keys (obsolete)"
+set name=pkg.summary value="SunSSH keys (obsolete)"
+depend fmri=network/openssh type=require
--- /dev/null	Tue Aug 16 19:26:53 2016
+++ new/build/openssh/sunssh-obs.p5m	Tue Aug 16 19:26:53 2016
@@ -0,0 +1,5 @@
+set name=pkg.fmri value=network/ssh@0.5.11,5.11-@PVER@
+set name=pkg.renamed value=true
+set name=pkg.description value="SunSSH client (obsolete)"
+set name=pkg.summary value="SunSSH client (obsolete)"
+depend fmri=network/openssh type=require
--- /dev/null	Tue Aug 16 19:26:53 2016
+++ new/build/openssh/sunssh-server.p5m	Tue Aug 16 19:26:53 2016
@@ -0,0 +1,5 @@
+set name=pkg.fmri value=service/network/ssh@0.5.11,5.11-@PVER@
+set name=pkg.renamed value=true
+set name=pkg.description value="SunSSH server (obsolete)"
+set name=pkg.summary value="SunSSH server (obsolete)"
+depend fmri=network/openssh-server type=require
--- old/build/zlib/build.sh	Tue Aug 16 19:26:53 2016
+++ new/build/zlib/build.sh	Tue Aug 16 19:26:53 2016
@@ -44,7 +44,7 @@
 # Relocate the libs to /lib, to match upstream
 move_libs() {
     logcmd mkdir -p $DESTDIR/lib/amd64
-    logcmd ln -s $DESTDIR/lib/64 amd64
+    logcmd ln -s amd64 $DESTDIR/lib/64
     logcmd mv $DESTDIR/usr/lib/lib* $DESTDIR/lib || \
         logerr "failed to move libs (32-bit)"
     logcmd mv $DESTDIR/usr/lib/amd64/lib* $DESTDIR/lib/amd64 || \
